import React from 'react';
import { Button } from "@chakra-ui/react";
import { useErrorHandler, useProvider } from "@strata-foundation/react";
import { useAsyncCallback } from "react-async-hook";
export const AsyncButton = ({ action, children, ...props }) => {
    const { awaitingApproval } = useProvider();
    const { execute, loading, error } = useAsyncCallback(action);
    const { handleErrors } = useErrorHandler();
    handleErrors(error);
    return (React.createElement(Button, { isLoading: loading || awaitingApproval, loadingText: awaitingApproval ? "Awaiting Approval" : "Loading", onClick: execute, ...props }, children));
};
//# sourceMappingURL=AsyncButton.js.map