import { VStack, HStack, Text, Box } from "@chakra-ui/react";
import { useSolanaUnixTime } from "@strata-foundation/react";
import React from "react";
import ReactCountdown from "react-countdown";
const TimeCard = ({ name, value }) => (React.createElement(VStack, { flexGrow: 1, spacing: 2 },
    React.createElement(Text, { fontWeight: 900, fontSize: "24px", color: "primary.500" }, value),
    React.createElement(Text, { color: "gray.400", fontSize: "14px" }, name)));
const Sep = () => React.createElement(Text, { fontWeight: 600, fontSize: "24px", color: "gray.500" }, ":");
export const Countdown = ({ date, children }) => {
    const unixTime = useSolanaUnixTime();
    const renderer = ({ days, hours, minutes, seconds, completed }) => {
        if (completed) {
            // Render a completed state
            return children || React.createElement("div", null);
        }
        else {
            // Render a countdown
            return (React.createElement(Box, { w: "full", rounded: "lg", borderColor: "primary.500", borderWidth: "1px", padding: 4 },
                React.createElement(HStack, { w: "full", spacing: 2, align: "top" },
                    React.createElement(TimeCard, { value: days, name: "Days" }),
                    React.createElement(Sep, null),
                    React.createElement(TimeCard, { value: hours, name: "Hours" }),
                    React.createElement(Sep, null),
                    React.createElement(TimeCard, { value: minutes, name: "Minutes" }),
                    React.createElement(Sep, null),
                    React.createElement(TimeCard, { value: seconds, name: "Seconds" }))));
        }
    };
    if (!unixTime) {
        return React.createElement("div", null);
    }
    return (
    // @ts-ignore
    React.createElement(ReactCountdown, { now: () => unixTime * 1000, date: date, 
        // @ts-ignore
        renderer: renderer }));
};
//# sourceMappingURL=Countdown.js.map