import React from "react";
import { Button, Flex, Modal, ModalBody, ModalContent, ModalOverlay, Text, useColorModeValue, useDisclosure, } from "@chakra-ui/react";
import { useLocalStorage } from "@strata-foundation/react";
export const Disclaimer = () => {
    const { onClose } = useDisclosure();
    const [hasAcknowledged, setHasAcknowledged] = useLocalStorage("strataDisclaimerAcknowledged", false);
    const handleAcknowledge = () => {
        setHasAcknowledged(true);
    };
    return (React.createElement(Modal, { isOpen: !hasAcknowledged, onClose: onClose, size: "sm", isCentered: true },
        React.createElement(ModalOverlay, null),
        React.createElement(ModalContent, null,
            React.createElement(ModalBody, { pt: 4, color: useColorModeValue("black", "white") },
                React.createElement(Text, { fontWeight: "bold" }, "Disclaimer"),
                React.createElement(Text, { fontSize: "sm" }, "Please note that participating in any Strata Protocol launch is a high-risk activity. The tokens you may receive in exchange for contributing to a launch could go to zero. Strata Protocol is not liable for any losses incurred by using our platform."),
                React.createElement(Text, { fontSize: "sm", mt: 4 }, "Strata Protocol is open-source and self-service. As a result, the Strata team does not perform diligence on projects and bears no responsibility for the quality of projects that utilize the Strata Launchpad. Be careful and do your own research before participating in any Strata Protocol launch."),
                React.createElement(Flex, { justifyContent: "center" },
                    React.createElement(Button, { variant: "ghost", colorScheme: "primary", onClick: handleAcknowledge, _hover: { bgColor: "transparent" } }, "I Accept"))))));
};
//# sourceMappingURL=Disclaimer.js.map