import { Center, Container, HStack, Icon, Link, Stack, Text, VStack, } from "@chakra-ui/react";
import React from "react";
import { RiExternalLinkLine } from "react-icons/ri";
const sections = [
    {
        title: "Docs",
        items: [
            {
                title: "Tutorial",
                href: "https://docs.strataprotocol.com",
            },
        ],
    },
    {
        title: "Community",
        items: [
            {
                title: "Discord",
                href: "https://discord.gg/XQhCFg77WM",
            },
            {
                title: "Twitter",
                href: "https://twitter.com/StrataProtocol",
            },
        ],
    },
    {
        title: "More",
        items: [
            {
                title: "Blog",
                href: "https://www.strataprotocol.com/blog",
            },
            {
                title: "GitHub",
                href: "https://github.com/StrataFoundation/strata",
            },
            {
                title: "Strata.im",
                href: "https://strata.im",
            },
        ],
    },
];
export const Footer = () => {
    return (React.createElement(VStack, { backgroundColor: "#303846", padding: "29px" },
        React.createElement(Container, { maxW: "container.lg" },
            React.createElement(Stack, { spacing: 16, direction: ["column", "row"] }, sections.map(({ title, items }) => (React.createElement(VStack, { align: "left", key: title },
                React.createElement(Text, { fontWeight: 700, fontSize: "15px", color: "white" }, title),
                items.map((item) => (React.createElement(Link, { href: item.href, key: item.title, fontWeight: 400, fontSize: "15px", color: "orange.500", isExternal: true },
                    React.createElement(HStack, { spacing: 1 },
                        React.createElement(Text, null, item.title),
                        React.createElement(Icon, { as: RiExternalLinkLine })))))))))),
        React.createElement(Center, { textColor: "rgba(255, 255, 255, 0.49)", w: "full" }, "Copyright \u00A9 2022 Strata Foundation.")));
};
//# sourceMappingURL=Footer.js.map