import React from "react";
import { HStack, VStack, Text, Spinner } from "@chakra-ui/react";
import { roundToDecimals } from "@strata-foundation/react";
import { numberWithCommas } from "../../utils/numberWithCommas";
export const BountyCardContribution = ({ amount, symbol, text = "Contributed", }) => {
    return (React.createElement(VStack, { spacing: 2, rounded: "lg", padding: 4, border: "1px solid", borderColor: "gray.200" },
        React.createElement(HStack, { spacing: 2, justify: "center", flexWrap: "wrap" },
            React.createElement(Text, { fontWeight: 800, color: "gray.700" }, typeof amount != "undefined" ? (numberWithCommas(roundToDecimals(amount, 4))) : (React.createElement(Spinner, { size: "sm" }))),
            React.createElement(Text, { color: "gray.700" }, symbol)),
        React.createElement(Text, { color: "gray.500" }, text)));
};
//# sourceMappingURL=BountyCardContribution.js.map