import React from 'react';
import { Button, Modal, ModalBody, ModalCloseButton, ModalContent, ModalFooter, ModalHeader, ModalOverlay, Spinner, useDisclosure, } from "@chakra-ui/react";
import { MintSelect } from '../form/MintSelect';
import { usePublicKey, useTokenMetadata } from '@strata-foundation/react';
export const MintSelectModal = ({ onChange, value, buttonProps, }) => {
    const { isOpen, onOpen, onClose } = useDisclosure();
    const mintKey = usePublicKey(value);
    const { metadata, loading } = useTokenMetadata(mintKey);
    return (React.createElement(React.Fragment, null,
        React.createElement(Button, { onClick: onOpen, ...buttonProps }, loading ? (React.createElement(Spinner, { size: "xs" })) : metadata ? (metadata.data.symbol) : ("All Mints")),
        React.createElement(Modal, { isOpen: isOpen, onClose: onClose },
            React.createElement(ModalOverlay, null),
            React.createElement(ModalContent, null,
                React.createElement(ModalHeader, null, "Select Mint"),
                React.createElement(ModalCloseButton, null),
                React.createElement(ModalBody, null,
                    React.createElement(MintSelect, { onChange: onChange, value: value })),
                React.createElement(ModalFooter, null,
                    React.createElement(Button, { colorScheme: "blue", mr: 3, onClick: onClose }, "Done"))))));
};
//# sourceMappingURL=MintSelectModal.js.map