import { FormLabel, FormControl, FormHelperText } from "@chakra-ui/react";
import React from "react";
export function FormControlWithError({ id, label, help, children, errors, ...rest }) {
    return (React.createElement(FormControl, { id: id, ...rest },
        label && React.createElement(FormLabel, { htmlFor: id }, label),
        children,
        (errors[id] || help) && (React.createElement(FormHelperText, { color: errors[id]?.message && "red.400" }, errors[id]?.message || help))));
}
//# sourceMappingURL=FormControlWithError.js.map