import React from "react";
import { useRouter } from "next/router";
import { Box, Container, Button, Center, Stack, Text } from "@chakra-ui/react";
export const LaunchpadLayout = ({ heading, subHeading, backVisible, onBack, nextDisabled, onNext, children, }) => {
    const router = useRouter();
    const handleOnBack = async () => {
        onBack && (await onBack());
        router.back();
    };
    const handleOnNext = async () => {
        onNext && (await onNext());
    };
    return (React.createElement(React.Fragment, null,
        React.createElement(Center, { padding: "54px", backgroundColor: "black.500" },
            React.createElement(Stack, { spacing: 6 },
                React.createElement(Text, { fontSize: "2xl", color: "white", textAlign: "center" },
                    "Welcome to",
                    React.createElement(Text, { fontWeight: "Bold", background: "linear-gradient(to right,#FFCD01, #E17E44);", backgroundClip: "text" }, "Strata Launchpad")))),
        React.createElement(Box, { w: "full", py: 12, bgColor: "gray.100" },
            React.createElement(Container, { maxW: "container.lg" },
                React.createElement(Stack, { spacing: 8, justifyContent: "center" },
                    React.createElement(Stack, { alignItems: "center", textAlign: "center", fontWeight: "bold", lineHeight: "normal" },
                        React.createElement(Text, { fontSize: "2xl" }, heading),
                        React.createElement(Text, { color: "gray.400" }, subHeading)),
                    children))),
        React.createElement(Container, { maxW: "container.lg", display: "flex", justifyContent: "space-between", py: 6 },
            backVisible ? (React.createElement(Button, { colorScheme: "primary", variant: "outline", w: "full", maxW: "140px", onClick: handleOnBack }, "Back")) : (React.createElement("span", null)),
            React.createElement(Button, { colorScheme: "primary", disabled: nextDisabled, w: "full", maxW: "140px", onClick: handleOnNext }, "Next"))));
};
//# sourceMappingURL=LaunchpadLayout.js.map