import { Box, Tab, TabList, TabPanel, TabPanels, Tabs, useColorModeValue, VStack, } from "@chakra-ui/react";
import { MemodSwap, useTokenSwapFromId } from "@strata-foundation/react";
import React from "react";
import { useLivePrice } from "../../hooks";
import { BondingPlot } from "./BondingPlot";
import { LbcInfo } from "./LbcInfo";
import { LbcStatus } from "./LbcStatus";
import { TransactionHistory } from "./TransactionHistory";
const selectedProps = {
    borderBottom: "3px solid #F07733",
    fontWeight: "semibold",
};
export function Lbc({ id, onConnectWallet, onSuccess, }) {
    const { tokenBonding } = useTokenSwapFromId(id);
    const { price } = useLivePrice(tokenBonding?.publicKey);
    const bg = useColorModeValue("white", "black.300");
    return (React.createElement(Tabs, { variant: "unstyled", isLazy: true },
        React.createElement(TabList, { borderBottom: "none" },
            React.createElement(Tab, { _selected: selectedProps, fontWeight: "normal" }, "Swap"),
            React.createElement(Tab, { _selected: selectedProps, fontWeight: "normal" }, "Transactions")),
        React.createElement(TabPanels, null,
            React.createElement(TabPanel, { p: 0, pt: 4 },
                React.createElement(LbcStatus, { tokenBondingKey: tokenBonding?.publicKey }),
                React.createElement(Box, { zIndex: 1, shadow: "xl", rounded: "lg", p: "16px", minH: "300px", bg: bg }, typeof window !== "undefined" && (React.createElement(VStack, { align: "stretch", spacing: 8 },
                    React.createElement(LbcInfo, { price: price, id: id, useTokenOfferingCurve: true }),
                    React.createElement(MemodSwap, { onSuccess: onSuccess, onConnectWallet: onConnectWallet, id: id }))))),
            React.createElement(TabPanel, { p: 0, pt: 4 },
                React.createElement(Box, { zIndex: 1, shadow: "xl", rounded: "lg", p: "16px", pb: "29px", minH: "300px", bg: bg }, typeof window != "undefined" && (React.createElement(VStack, { align: "stretch", spacing: 8 },
                    React.createElement(BondingPlot, { tokenBondingKey: tokenBonding?.publicKey }),
                    React.createElement(TransactionHistory, { tokenBondingKey: tokenBonding?.publicKey }))))))));
}
//# sourceMappingURL=Lbc.js.map