import React from "react";
import { HStack, Text, VStack } from "@chakra-ui/react";
import { NATIVE_MINT } from "@solana/spl-token";
import { useMint, useMetaplexTokenMetadata } from "@strata-foundation/react";
import { toNumber } from "@strata-foundation/spl-token-bonding";
import { BigText, BlackBox } from "../LbcInfo";
export const CandyMachineInfo = ({ candyMachine, itemsRemaining, isWhitelistUser, discountPrice }) => {
    const { metadata, loading: loadingMeta } = useMetaplexTokenMetadata(candyMachine?.tokenMint);
    const ticker = loadingMeta ? "" : metadata?.data.symbol || "SOL";
    const targetMint = useMint(candyMachine?.tokenMint || NATIVE_MINT);
    return (React.createElement(HStack, { spacing: 2, justify: "stretch" },
        React.createElement(BlackBox, { w: "full" },
            React.createElement(VStack, { spacing: 0, align: "left" },
                React.createElement(Text, { fontSize: "sm" }, isWhitelistUser && discountPrice ? "Discount Price" : "Price"),
                React.createElement(BigText, null, isWhitelistUser && discountPrice
                    ? `${targetMint && discountPrice
                        ? toNumber(discountPrice, targetMint)
                        : ""} ${ticker}`
                    : candyMachine
                        ? `${targetMint && candyMachine?.price
                            ? toNumber((discountPrice || candyMachine.price), targetMint)
                            : ""} ${ticker}`
                        : ""))),
        React.createElement(BlackBox, { w: "full" },
            React.createElement(VStack, { spacing: 0, align: "left" },
                React.createElement(Text, { fontSize: "sm" }, "Remaining"),
                React.createElement(BigText, null, itemsRemaining)))));
};
//# sourceMappingURL=CandyMachineInfo.js.map