import React from "react";
import { Alert, AlertIcon, AlertTitle, Box, CloseButton, HStack, Image, Skeleton, Text, useColorModeValue, VStack } from "@chakra-ui/react";
import { useMetaplexTokenMetadata } from "@strata-foundation/react";
export const MintedNftNotification = ({ onDismiss, mint, }) => {
    const { metadata, image, loading } = useMetaplexTokenMetadata(mint);
    return (React.createElement(Alert, { w: "full", bgColor: useColorModeValue("white", "black.300"), borderTop: "1px", borderTopColor: "gray.600", rounded: "lg", fontFamily: "body", color: useColorModeValue("black", "white"), status: "success", flexDirection: "column", p: 0 },
        React.createElement(Box, { w: "full" },
            (loading || !image) && React.createElement(Skeleton, { w: "full", h: "327px" }),
            !loading && image && (React.createElement(Image, { objectFit: "cover", alt: metadata?.data.name, w: "full", minH: "327px", src: image }))),
        React.createElement(VStack, { align: "left", w: "full", p: 8, spacing: 1, borderWidth: "2px", borderTopWidth: 0, borderBottomRadius: "8px", borderColor: useColorModeValue("gray.200", "black.300") },
            React.createElement(HStack, { align: "left", spacing: 1 },
                React.createElement(AlertTitle, { fontSize: "24px", fontWeight: 700 }, "Success!"),
                React.createElement(AlertIcon, null)),
            React.createElement(Text, { color: "gray.400" }, loading
                ? "Waiting on your preview..."
                : `Here is a preview of ${metadata ? metadata.data.name : ""}`)),
        React.createElement(CloseButton, { position: "absolute", right: "8px", top: "8px", color: useColorModeValue("gray.600", "gray.400"), _hover: { color: "gray.600", cursor: "pointer" }, onClick: onDismiss })));
};
//# sourceMappingURL=MintedNftNotification.js.map