import { Center, Flex, FormControl, FormLabel, IconButton, Text, useControllableState, } from "@chakra-ui/react";
import * as React from "react";
import { FiMinus, FiPlus } from "react-icons/fi";
export const QuantityPicker = (props) => {
    const { min = 0, max, rootProps, ...rest } = props;
    const [value, setValue] = useControllableState(rest);
    const handleDecrement = () => setValue(value === min ? value : value - 1);
    const handleIncrement = () => setValue(value === max ? value : value + 1);
    return (React.createElement(FormControl, { ...rootProps },
        React.createElement(FormLabel, { fontSize: "sm", fontWeight: "medium" }, "Quantity"),
        React.createElement(Flex, { borderRadius: "base", px: "2", py: "0.4375rem", borderWidth: "1px", justifyContent: "space-between" },
            React.createElement(QuantityPickerButton, { onClick: handleDecrement, icon: React.createElement(FiMinus, null), isDisabled: value === min, "aria-label": "Decrement" }),
            React.createElement(Center, { minW: "8" },
                React.createElement(Text, { as: "span", fontWeight: "semibold", userSelect: "none" }, value)),
            React.createElement(QuantityPickerButton, { onClick: handleIncrement, icon: React.createElement(FiPlus, null), isDisabled: value === max, "aria-label": "Increment" }))));
};
const QuantityPickerButton = (props) => (React.createElement(IconButton, { size: "sm", fontSize: "md", _focus: { boxShadow: "none" }, _focusVisible: { boxShadow: "outline" }, ...props }));
//# sourceMappingURL=QuantityPicker.js.map