import { Program } from "anchor-17";
import { PublicKey } from "@solana/web3.js";
import { useAccount, useProvider, } from "@strata-foundation/react";
import { useAsync } from "react-async-hook";
export const CANDY_MACHINE_PROGRAM = new PublicKey("cndy3Z4yapfJBmL3ShUp5exZKqR3z33thTzeNMm2gRZ");
async function getCoder(provider) {
    if (provider) {
        const idl = await Program.fetchIdl(CANDY_MACHINE_PROGRAM, 
        // @ts-ignore
        provider);
        const program = new Program(idl, CANDY_MACHINE_PROGRAM, 
        // @ts-ignore
        provider);
        return (pubkey, account) => {
            const coded = program.coder.accounts.decode("CandyMachine", account.data);
            const cndy = {
                ...coded,
                ...coded.data,
                publicKey: pubkey,
                program: program,
                treasury: coded.wallet,
            };
            cndy.maxSupply = cndy.maxSupply.toNumber();
            cndy.itemsRedeemed = cndy.itemsRedeemed.toNumber();
            cndy.itemsAvailable = cndy.itemsAvailable.toNumber();
            cndy.itemsRemaining = cndy.itemsAvailable - cndy.itemsRedeemed;
            return cndy;
        };
    }
}
export const useCandyMachine = (candyMachineId) => {
    const { provider } = useProvider();
    const { result: coder, error } = useAsync(getCoder, [provider]);
    if (error) {
        console.error(error);
    }
    return useAccount(candyMachineId, coder);
};
//# sourceMappingURL=useCandyMachine.js.map