import { useBondingPricing, useSolanaUnixTime } from "@strata-foundation/react";
import { useEffect, useState } from "react";
export function useLivePrice(tokenBondingKey) {
    const { pricing, loading } = useBondingPricing(tokenBondingKey);
    const [currentPrice, setCurrentPrice] = useState();
    const unixTime = useSolanaUnixTime();
    useEffect(() => {
        if (pricing) {
            setCurrentPrice(pricing.current(pricing.hierarchy.tokenBonding.baseMint, unixTime));
        }
    }, [unixTime, pricing]);
    return {
        loading,
        price: currentPrice,
    };
}
//# sourceMappingURL=useLivePrice.js.map